% Matlab Mistuning Code: Version 1.0
%
% Created by: Benjamin Shapiro,
%             Control and Dynamical Systems
%             California Institute of Technology
%             Pasadena, CA 91125.
%             bshapiro@indra.caltech.edu
%
% *********************************************************
%
% File: test.m
% Purpose: Test force_out.m output.
% Last Update: 04/29/98 by B.Shapiro
%
% *********************************************************

l = 20;
ND = 7;
i = 1;
j = 13;

      str = ['rm -f Outputs/RespData/X:l=' num2str(l) ',mode=*'];
      unix(str); 



        % Create file to write results to:
          clear fid;
          filename = ['Outputs/RespData/X:l=' num2str(l) ',mode=' num2str(ND) ',' num2str(i) ];
          fid = fopen(filename,'at');   
         
        % Write results to file: Outputs/RespData/X:l=*,mode=*,*.
          fprintf(fid,'\n');
          fprintf(fid,'\t APPROXIMATE MISTUNED RESPONSE X(z). \n');          
          fprintf(fid,'\t    FORCING IN %g SPATIAL MODE. \n',l);    
          fprintf(fid,'\t    APPROXIMATION MODE: %g OF NODAL-DIAMETER %g. \n', i,ND );
          fprintf(fid,'\t        (or: mode %g in regular indexing). \n',j);
          fprintf(fid,'\n');
          fprintf(fid,'Mistuned forced response given by: x(t,z) = X(z) e^(iwt). \n');
          fprintf(fid,'Here X(z) = Sum[ Xj(z) ] over j from 1 to %g. This file \n',r*d);
          fprintf(fid,'gives an approximation of Xj(z) with mode j = %g. \n',j);
          fprintf(fid,'\n');
          fprintf(fid,'As before, z is mistuning vector, w is forcing frequency.\n');
          fprintf(fid,'Note: if fan-speed R, spatial forcing mode l, then w = R l.) \n');
          fprintf(fid,'\n');
          fprintf(fid,'Response of the first blade due to mode j is given by: \n');
          fprintf(fid,'\n');
          fprintf(fid,'               A0 + A1 z1 + A2 z2 + A3 z3 ... + Ar zr \n');
          fprintf(fid,'     X1_j(z) = -------------------------------------- \n');
          fprintf(fid,'               i w - lambda(0) - a Sum(zi) - z^T S z  \n');
          fprintf(fid,'\n');
          fprintf(fid,'Values lambda(0), a and S are found in StabData/Eigval:%g,%g. \n',ND,i);
          fprintf(fid,'Vectors A0 through Ar listed below, ^T denotes transpose. \n');
          fprintf(fid,'\n');
          fprintf(fid,'\n');
            fprintf(fid,'COEFF: A0  = [ ');
              for s = 1:d-1  % I go to all this trouble so as not to print an extra comma! (
               fprintf(fid,'%g ', real(Psi0(s,j)) );
               fprintf(fid,'+ %g i, ', imag(Psi0(s,j)) );  
              end
               fprintf(fid,'%g ', real(Psi0(d,j)) );
               fprintf(fid,'+ %g i ', imag(Psi0(d,j)) );  
              % For large d change format (do later 04/30/98).
            fprintf(fid,']^T \n');
            % Print A1 through Ar
            for q = 1:r
              if q < 10 
                fprintf(fid,'       A%g  = [ ',q); 
              else
                fprintf(fid,'       A%g = [ ',q); 
              end
                for s = 1:d-1
                  fprintf(fid,'%g ', real(DPsi(s,q,j)) );
                  fprintf(fid,'+ %g i, ', imag(DPsi(s,q,j)) );
                end
                  fprintf(fid,'%g ', real(DPsi(d,q,j)) );
                  fprintf(fid,'+ %g i ', imag(DPsi(d,q,j)) );
              fprintf(fid,']^T \n');
            end
          fprintf(fid,'\n');
          fprintf(fid,'The response for all blades follows by symmetry. \n');
          fprintf(fid,'For example, the response of blade 1+q is given by: \n');
          fprintf(fid,'\n');
          fprintf(fid,'    X[1+q]_j(z) = e^(2 pi i l q/r) X1_j(Phi^q z). \n');
          fprintf(fid,'\n');
          fprintf(fid,'Here Phi is the left rotation operator: \n');
          fprintf(fid,'\n');
          fprintf(fid,'   Phi^q(z1,z2,...,zr) = (z[1+q],z[2+q],...,zr,z1,...,zq). \n');
          fprintf(fid,'\n');
          fprintf(fid,'                ----------*---------- \n');
          fprintf(fid,'\n');
          fprintf(fid,'See "Solving for Mistuned Forced Response by Symmetry", \n');
          fprintf(fid,'     by B. Shapiro for derivation.\n');
          fprintf(fid,'\n');
          fprintf(fid,'Copyright: B. Shapiro, CDS, Caltech. \nCreated: ');
          fprintf(fid,date);
          fprintf(fid, '\n \n');
          fclose(fid); 
        % End write results to file:
          



