function x = SumUMVuk(U,UMV,eigs,j,i,d,r)
% Computes: duj/dzi (u is left eigenvector)
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.

% Use as: jth csym_i.
  n = d*r;

  % jth eigenvalue:
    eigsj = eigs(j);

  % Initialize
    x = zeros(1,d);

  % Sum over all k neq j:
  for k = 1:j-1
       x = x + ( Pjki(k,j,i-1,d,r) * UMV(j,k) / (eigsj - eigs(k) ) )*U(k,1:d);
  end
  for k = j+1:n
       x = x + ( Pjki(k,j,i-1,d,r) * UMV(j,k) / (eigsj - eigs(k) ) )*U(k,1:d);
  end


% Computes the vector term: 
%   duj/dzi  = Sum[ { Uj dM/dzi Vk/(lambda_j-lambda_k) } uk ]
% which generates a d sized complex row vector.

% B. Shapiro, Caltech, 04/22/98.

