function x = XTun(l,w,Eig,Psi0,d)
% Yields X0(w) = X(z=0,w), the tuned response 
% of the FIRST BLADE. For tuned system: response
% of all blades is equal (up to pl phase shift) 
% so can easily recover response of other blades.
% Pass: forcing spatial mode, forcing frequency,
%       tuned eigenvalues, Psi0, states per blade.
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.



% Initialize
  x = zeros(d,1);

% Need only sum over forced modes.
  for j = (l-1)*d+1: l*d
    x = x + Psi0(:,j)/(i*w - Eig(j) );
  end



% B. Shapiro, Caltech, 04/28/98.
