function addinfo(upperleft,upperright,lowerleft,lowerright,offsets)
%addinfo(upperleft,upperright,lowerleft,lowerright,offsets)
%
% Code created by: Chung-hei Yeung (Simon), CDS, Caltech. 
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.

%This puts information on the corners of the plot
%
%offsets, optional, is a 4x2 matrix containing the indentation
%towards the center of the plot for each string.
%  [upperleft  x, upperleft  y
%   upperright x, upperright y
%   lowerleft  x, lowerleft  y
%   lowerright x, lowerright y]
%
if (nargin<5),
  offsets=zeros(4,2);
end;

curax=gca;
ax=axes('Position',[0 0 1 1],'Visible','off');

if ~(isempty(upperleft)),
  t=text('String',upperleft,'Clipping','off','Position',[0.0+offsets(1,1) 1.0-offsets(1,2)]);
  set(t,'HorizontalAlignment','left');
  set(t,'VerticalAlignment','top');
end;

if ~(isempty(upperright)),
  t=text('String',upperright,'Clipping','off','Position',[1.0-offsets(2,1) 1.0-offsets(2,2)]);
  set(t,'HorizontalAlignment','right');
  set(t,'VerticalAlignment','top');
end;

if ~(isempty(lowerleft)),
  t=text('String',lowerleft,'Clipping','off','Position',[0.0+offsets(3,1) 0.0+offsets(3,2)]);
  set(t,'HorizontalAlignment','left');
  set(t,'VerticalAlignment','bottom');
end;

if ~(isempty(lowerright)),
  t=text('String',lowerright,'Clipping','off','Position',[1.0-offsets(4,1) 0.0+offsets(4,2)]);
  set(t,'HorizontalAlignment','right');
  set(t,'VerticalAlignment','bottom');
end;

axes(curax);
