function o = arrange(p,q)
% Arranges mistuned blades according to the
% pattern defined by p and q. Here p is a 
% permutation of 1 to 15 (arrangement of
% strain-gaged blades) while q is a permutation
% of 1 to 30. The output x is a 2 by 40 matrix,
% row 1 gives the actual mistuning values while
% row 2 lists the new positions of blades.
%
% THIS FILE ONLY HOLDS FOR P&W ENGINE PATTERN.
% NOT A GENERAL PIECE OF CODE!!!!!
% 04/23/98


% Initialize:
  temp = zeros(2,40); 
  x = zeros(2,10);
  y = zeros(2,30);
  rmnd = zeros(1,30);
  rmnd_rnd = zeros(1,30);
  o = zeros(2,40);
% End init.



% Strain-gaged blades (10).
  % var         mist    orig-pos
    x(:,1)  = [  0.0129;    1  ];
    x(:,2)  = [  0.0008;    6  ];
    x(:,3)  = [ -0.0053;    8  ];
    x(:,4)  = [  0.0068;    9  ];
    x(:,5)  = [  0.0008;   10  ];
    x(:,6)  = [  0.0068;   11  ];
    x(:,7)  = [  0.0008;   12  ];
    x(:,8)  = [  0.0008;   23  ];
    x(:,9)  = [  0.0068;   29  ];
    x(:,10) = [ -0.0053;   33  ];
% End strain-gaged blades.
    

% regular blades (30).
  % var         mist      orig-pos
    y(:,1)   = [   0.0008;    2   ];
    y(:,2)   = [  -0.0114;    3   ]; 
    y(:,3)   = [   0.0129;    4   ];
    y(:,4)   = [   0.0068;    5   ];
    y(:,5)   = [  -0.0114;    7   ];
    y(:,6)   = [  -0.0114;   13   ];
    y(:,7)   = [   0.0008;   14   ];
    y(:,8)   = [  -0.0053;   15   ];
    y(:,9)   = [   0.0068;   16   ];
    y(:,10)  = [  -0.0053;   17   ];
    y(:,11)  = [  -0.0053;   18   ];
    y(:,12)  = [   0.0008;   19   ];
    y(:,13)  = [  -0.0053;   20   ];
    y(:,14)  = [  -0.0053;   21   ];
    y(:,15)  = [   0.0068;   22   ];
    y(:,16)  = [   0.0008;   24   ];
    y(:,17)  = [   0.0129;   25   ];
    y(:,18)  = [  -0.0053;   26   ];
    y(:,19)  = [  -0.0053;   27   ];
    y(:,20)  = [   0.0008;   28   ];
    y(:,21)  = [  -0.0114;   30   ];
    y(:,22)  = [   0.0068;   31   ];
    y(:,23)  = [   0.0008;   32   ];
    y(:,24)  = [  -0.0053;   34   ];
    y(:,25)  = [   0.0008;   35   ];
    y(:,26)  = [  -0.0053;   36   ];
    y(:,27)  = [   0.0008;   37   ];
    y(:,28)  = [   0.0008;   38   ];
    y(:,29)  = [   0.0068;   39   ];
    y(:,30)  = [   0.0008;   40   ];
% End regular blades.


% Make temporary arrangement "temp".
% Here temp(1) to temp(15) are the the strain-gaged
% slots while temp(16) to temp(40) are regular.
% (There are 15 strain gaged slots!)


% Strain-gaged blades, arranged by p(1:10).
  temp(:,p(1:10)) = x; % puts x1 into slot p1, ..., x10 into slot p10.
% Put 10 sg blades at random into 15 sg slots.


% Regular blades, arranged by q(1:30) 
% (which acts on remaining p(11:15) sg blades).
    % List remaining slots: 5 sg (between 1 to 15) and 25 regular (16 to 40).
      rmnd = [ p(11:15), 16:40 ];
    % Randomize rmnd by q: rmnd1 into q1, ..., rmnd30 into q30.
      rmnd_rnd(q) = rmnd;
    % now fill temp by rmnd_rnd:
      temp(:,rmnd_rnd) = y;
% Put 30 regular blades at random into 5 (remaining) sg slots and 
% 25 regular slots.

  
   % SO FAR: I have the vector temp (2 by 40), the first 
   %   15 columns correspond to sg slots (contain all 10
   %   sg blades), the last 25 slots are regular slots
   %   and contain only regular blades. Five of the 15
   %   sg slots (columns 1 to 15 in temp) also contain
   %   regular blades.


% Define strain-gaged and regular slot positions:
  s = [4 5 6 7 14 15 16 17 24 25 26 34 35 36 37]; % sg-slots
  r = [ 1  2  3 ...   
        8  9 10 11 12 13 ... 
       18 19 20 21 22 23 ...
       27 28 29 30 31 32 33 ...
       38 39 40];                                 % regular-slots

% Reorganize temp according to slot positions to get mist pattern o:
  o(:,s) = temp(:,1:15);  % put temp1  into s1, ..., put temp15 into s15.
  o(:,r) = temp(:,16:40); % put temp16 into r1, ..., put temp40 into r25.



